Skip to Content
kosemdocs
ReferenceAPIAccess profiles

List grantable access profiles

Lists the project access profiles the caller may grant to agents (those they hold connections.accessProfiles.issue on), without requiring project-wide list permission.

GET
/v1/projects/{project}/grantableAccessProfiles

Lists the project access profiles the caller may grant to agents (those they hold connections.accessProfiles.issue on), without requiring project-wide list permission.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$

Response Body

OK

application/json
  1. response
accessProfiles*array<>

Access profiles, oldest first.

nextPageToken*string

Token for the next page; empty on the last page.

Example Request
curl -X GET 'https://api.kosem.ai/v1/projects/string/grantableAccessProfiles'
Example Response
{
  "accessProfiles": [
    {
      "alias": "string",
      "availability": {
        "allProjects": true,
        "projects": [
          "string"
        ]
      },
      "config": {
        "property1": null,
        "property2": null
      },
      "connection": "string",
      "createTime": "2019-08-24T14:15:22Z",
      "description": "string",
      "etag": "string",
      "name": "string",
      "provider": "string",
      "source": "string",
      "state": "ACTIVE",
      "stateReason": "string",
      "updateTime": "2019-08-24T14:15:22Z"
    }
  ],
  "nextPageToken": "string"
}